Forum

Cant install wine in playonlinux...

Författare Svar
netzero Wednesday 17 August 2011 at 20:53
netzeroAnonymous

After upgrading Playonlinux 4.0 i can't install any wine version.
The problem is that every time i try to install something, playonlinux starts to download a wine version but it allways says at the end this: The download seems to have failed. And i can't install anything!! plzz heLp.
I have been looking trough the forum the solution but i could not find it...
Im using Fedora 15 with gnome 3 at 64 bits.

Ändrat av netzero

Quentin PÂRIS Wednesday 17 August 2011 at 21:49
Quentin PÂRIS
Admin

Can you give me the output in a terminal ?
netzero Wednesday 17 August 2011 at 22:05
netzeroAnonymous

[ANGEL@localhost ~]$ playonlinux
[install_plugins] Message: Checking plugin: Offline PlayOnLinux...
[install_plugins] Message: Checking plugin: Capture...
[install_plugins] Message: Checking plugin: Transgaming Cedega...
rm: cannot remove `*': No such file or directory
[install_plugins] Message: Checking plugin: Wine Import...
[install_plugins] Message: Checking plugin: Wine Look...
[maj_check] Message: List is up to date
POL GPG : Good signature - Microsoft Office 2010
[Use_WineVersion] Warning: Function is deprecated. Use export WINEVERSION instead
[select_prefixe] Warning: Deprecated function ! Use POL_Wine_SelectPrefix
[POL_SetupWindow_prefixcreate] Warning: Very deprecated ! Use POL_Wine_PrefixCreate
[POL_Wine_PrefixCreate] Message: Creating prefix ()...
[POL_Wine_PrefixCreate] Message: Prefix already exists
[POL_Wine_PrefixCreate] Message: Setting version to 1.3.9
[POL_Wine_SetVersionEnv] Message: Setting wine version path: 1.3.9, x86
[POL_Wine_SetVersionEnv] Message: Wine 1.3.9 not installed
[POL_Wine_InstallVersion] Message: Installing wine version path: 1.3.9, x86
--2011-08-17 15:00:17-- http://www.playonlinux.com/wine/binaries//linux-x86.lst
Resolving www.playonlinux.com... 91.121.5.64
Connecting to www.playonlinux.com|91.121.5.64|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 3556 (3.5K) [text/plain]
Saving to: “STDOUT”

100%[======================================>] 3,556 --.-K/s in 0.005s

2011-08-17 15:00:18 (664 KB/s) - written to stdout [3556/3556]

Bon ok
--2011-08-17 15:01:00-- http://www.playonlinux.com/wine/binaries//linux-x86/PlayOnLinux-wine-1.3.9-linux-x86.pol.sha1
Resolving www.playonlinux.com... 91.121.5.64
Connecting to www.playonlinux.com|91.121.5.64|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 79 [application/x-tar]
Saving to: “STDOUT”

100%[======================================>] 79 --.-K/s in 0s

2011-08-17 15:01:00 (4.45 MB/s) - written to stdout [79/79]

/usr/share/playonlinux/lib/wine.lib: line 446: shasum: command not found
Server sha1 : efe67e411df333d726baebeccad89059537aba86
Client sha1 :
[POL_SetupWindow_detect_exit] Warning: POL_SetupWindow_detect_exit is deprecated





I hope this may help... i'm actually learning to use the terminal ...
Thanks for your answer.
Quentin PÂRIS Wednesday 17 August 2011 at 23:36
Quentin PÂRIS
Admin

I know what's happening ! You don't have shasum in your system

Hum... An easy way to fix your problem : sudo ln -s /usr/bin/sha1sum /usr/bin/shasum
netzero Thursday 18 August 2011 at 7:32
netzeroAnonymous

Thanks it solved the problem, yea you are good at this man. :)
Thanks
Geodomus Wednesday 21 March 2012 at 15:34
GeodomusAnonymous

sorry to bring this up again, actually needed some time to get POL working, and i'm now running into the same problem, with the ln -s not fixing it... :(

sorry, my output is different:

Unable to find Digest::SHA or Digest::SHA::PurePerl

Ändrat av Geodomus

petch Wednesday 21 March 2012 at 16:00
petch
Developer

Hi Geodomus, it seems your install of Perl is broken...
I'm surprized that ln doesn't fix it however, sha1sum on the other hand being part of a totally different package (coreutils)

Ändrat av petch

Geodomus Wednesday 21 March 2012 at 16:01
GeodomusAnonymous

so reinstall perl? I'll try that out and report back asap

E1: seems like perl-digest-SHA was missing... installed that, will report back

E2: installing perl-digest-SHA fixed it. thanks for the hint

Ändrat av Geodomus

darnei Sunday 1 April 2012 at 12:51
darneiAnonymous

How to install Sacred in PlayOnLinux and Heroes III

EDIT: Please don't post anywhere to explain your problems!

Ändrat av Tinou

luiscuadrado123 Saturday 27 September 2014 at 19:59
luiscuadrado123

same problem in LxPuppy Linux (precise version)

"Unable to find Digest::SHA or Digest::SHA::PurePerl"

I solved it downloading the "perl-digest-sha1-2.11.pet" from this web:

http://www.filewatcher.com/m/perl-digest-sha1-2.11.pet.9541-0.html

Installed and RESTART PC.

Thanks